Subject: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Stefan Monnier <[email-masked]>
Date: Sat, 08 Apr 2023 11:45:32 -0400

> As package-update just defers to package-install, I don't find this
> surprising.  What you want is that package.el always treats a built-in
> package as upgradable to a package from ELPA.  It seems like this should
> be possible by adjusting the interactive spec of package-install and
> modifying package-compute-transaction or even package-built-in-p.

I agree, tho I don't understand why you say "built-in" above.  Isn't the
problem also present for already-installed-but-out-of-date ELPA packages?

        Stefan